#ifndef __PENGUIN_HEURISTIC_DIRECTION_FREEDOM_HPP__
#define __PENGUIN_HEURISTIC_DIRECTION_FREEDOM_HPP__

#include "penguin.hpp"
#include "heuristic.hpp"
#include "penguin_heuristic.hpp"

namespace mcts
{
  class number_direction_freedom_heuristic : public penguin_heuristic
  {
  public:
    float get_value(const game::penguin& game, uint8_t move) const;
    int get_count(const game::penguin& game, uint8_t move) const;
  };
};

#endif
