#ifndef __POINTS_HEURISTIC_HPP__
#define __POINTS_HEURISTIC_HPP__

#include "penguin_heuristic.hpp"

namespace mcts
{

  class points_heuristic : public penguin_heuristic
  {
  public:
    float get_value(const game::penguin& game, uint8_t move) const;
    int get_count(const game::penguin& game, uint8_t move) const;
  };
};

#endif
