#ifndef __MOVEMENT_FREEDOM_HEURISTIC_HPP__
#define __MOVEMENT_FREEDOM_HEURISTIC_HPP__

#include "penguin.hpp"
#include "penguin_heuristic.hpp"

namespace mcts
{
  class movement_freedom_heuristic : public penguin_heuristic
  {
  public:
    float get_value(const game::penguin& game, uint8_t move) const;
    int get_count(const game::penguin& game, uint8_t move) const;
  };
};

#endif
